APIPod Docs
HomeModels
Language
Language
  • 中文
  • English
HomeModels
Language
Language
  • 中文
  • English
  1. Video Models
  • Getting Started with APIPod API
  • Image Models
    • GPT Image 2
      • GPT Image 2 Text to Image
      • GPT Image 2 Image to Image
    • Nano Banana
      • Nano Banana 2
      • Nano Banana Pro
    • Seedream 4.5
      • Seedream V4.5 Text to Image
      • Seedream V4.5 Image to Image
    • Seedream 5.0 Lite
      • Seedream 5.0 Lite Text to Image
      • Seedream 5.0 Lite Image to Image
    • WAN 2.7
      • WAN 2.7 Text to Image
      • WAN 2.7 Image to Image
      • WAN 2.7 Text to Image Pro
      • WAN 2.7 Image to Image Pro
    • Query Image Task
      GET
  • Video Models
    • Veo 3.1
      • Veo 3.1 Fast
    • Seedance 2.0
      • Seedance 2.0 Text to Video
      • Seedance 2.0 Image to Video
      • Seedance 2.0 Reference to Video
      • Seedance 2.0 Fast Text to Video
      • Seedance 2.0 Fast Image to Video
      • Seedance 2.0 Fast Reference to Video
    • Grok Imagine
      • Grok Imagine Text to Video
      • Grok Imagine Image to Video
    • Sora 2
      • Sora 2 Official API
    • Query Video Task
      GET
  • Schemas
    • NanoBanana
    • Seedream4.5
    • Seedream5.0
    • SubmitTaskResponse
    • TaskDetailResponse
    • WAN2.7Image
    • WAN2.7ImageEdit
    • WAN2.7ImagePro
    • WAN2.7ImageEditPro
    • Veo3.1Fast
    • Seedance2.0TextToVideo
    • Seedance2.0ImageToVideo
    • Seedance2.0ReferenceToVideo
    • Seedance2.0FastTextToVideo
    • Seedance2.0FastImageToVideo
    • Seedance2.0FastReferenceToVideo
    • GPTImage2
    • GPTImage2Edit
    • GrokImagineT2V
    • GrokImagineI2V
    • Sora2VIP
    • NanoBanana2
  1. Video Models

Query Video Task

GET
https://api.apipod.ai/v1/videos/status/{task_id}
task
Last modified:2026-04-10 12:22:35
Query the create video task status and results. This is a unified query interface that works with all images models.
This endpoint is applicable to all video generation models, including sora-2, veo3, seedance, etc., as well as any image models to be added in the future.

Task Status#

StatusDescriptionAction
pendingTask is waiting to be processedContinue polling
processingTask is being processedContinue polling
completedTask execution completedDirectly obtain results from the result array list
failedTask execution failedCheck code and message for details
cancelledTask has been cancelledTask cancelled, exit without further processing

Polling Practice#

Recommended polling interval
Use callbacks instead of polling
Process completed tasks

Example: Complete polling process#

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.apipod.ai/v1/videos/status/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "code": 200,
    "message": "success",
    "data": {
        "task_id": "2f0392df-7da1-4128-8e30-7ea3d81446b3",
        "status": "completed",
        "result": [
            "https://s.apipod.ai/videos/demo.mp4"
        ],
        "completed_at": 1775137415
    }
}
Modified at 2026-04-10 12:22:35
Previous
Sora 2 Official API
Next
NanoBanana
Built with